Skip to main content
PATCH
/
reporting
/
report_map_entries
/
{id}
Update an entry
curl --request PATCH \
  --url https://app.gomangrove.com/api/v1/reporting/report_map_entries/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entry": {
    "external_key": "<string>",
    "metadata": {},
    "parameter_bindings_attributes": [
      {
        "position": 123,
        "data_point_type_slug": "<string>"
      }
    ]
  }
}
'
import requests

url = "https://app.gomangrove.com/api/v1/reporting/report_map_entries/{id}"

payload = { "entry": {
"external_key": "<string>",
"metadata": {},
"parameter_bindings_attributes": [
{
"position": 123,
"data_point_type_slug": "<string>"
}
]
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entry: {
external_key: '<string>',
metadata: {},
parameter_bindings_attributes: [{position: 123, data_point_type_slug: '<string>'}]
}
})
};

fetch('https://app.gomangrove.com/api/v1/reporting/report_map_entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "rme_abc123def456",
  "version_id": "rmv_abc123def456",
  "external_key": "rtc_123.product_mass",
  "metadata": {
    "type": "string",
    "display_name": "Updated Name"
  },
  "parameter_bindings": [],
  "created_at": "2026-01-15T10:00:00.000Z",
  "updated_at": "2026-01-15T11:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

Body

application/json
entry
object

Response

200 - application/json

200